Bug 1302225 - (CVE-2016-4954) CVE-2016-4954 ntp: partial processing of spoofed packets
CVE-2016-4954 ntp: partial processing of spoofed packets
Status: CLOSED WONTFIX
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20160602,repor...
: Security
Depends On: 1342128
Blocks: 1302226
  Show dependency treegraph
 
Reported: 2016-01-27 04:09 EST by Martin Prpič
Modified: 2016-10-03 15:48 EDT (History)
7 users (show)

See Also:
Fixed In Version: ntp 4.2.8p8
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2016-05-30 09:31:23 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Martin Prpič 2016-01-27 04:09:04 EST
Spoofed packets that failed some of the early NTP tests in the receive() function in ntp_proto.c may still enter the process_packet() function and set certain peer variables before the packet is actually dropped, which could be useful in some attacks on ntpd as a client.

For instance, with ntpd configured to use three servers it is possible to arm the leap second timer by setting the leap bits of the three sources. When a genuine packet is received and the clock is updated, the leap value will be overwritten for that source, but the two other sources will still be able to form a majority and arm the leap timer.

Disabling sources in the source selection by setting their leap or stratum as unsychronized could be useful in some cases too. Setting the root delay and dispersion could change the outcome of the selection routine as well.
Comment 1 Martin Prpič 2016-01-27 07:01:25 EST
Acknowledgments:

This issue was discovered by Jakub Prokes of Red Hat Quality Engineering.
Comment 2 Martin Prpič 2016-06-02 09:39:25 EDT
Created ntp tracking bugs for this issue:

Affects: fedora-all [bug 1342128]
Comment 4 Harkanwal 2016-06-10 06:42:45 EDT
Could anyone suggest any specific reason of closing the bug without fixing it.  Secondly advisory for customers who have these vulnerabilities
Comment 5 Martin Prpič 2016-06-10 07:12:59 EDT
(In reply to Harkanwal from comment #4)
> Could anyone suggest any specific reason of closing the bug without fixing
> it.  Secondly advisory for customers who have these vulnerabilities

Hi, this issue was rated as having a Moderate security impact. This issue requires an attacker to know addresses of more than half of the configured sources, and only affects ntpd acting as a client. Taking this into consideration, the issue is not planned to be fixed. We may revisit this issue in a future minor RHEL release.
Comment 6 Fedora Update System 2016-06-18 14:47:24 EDT
ntp-4.2.6p5-41.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2016-07-02 15:26:46 EDT
ntp-4.2.6p5-41.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 9 Fedora Update System 2016-07-02 15:32:34 EDT
ntp-4.2.6p5-41.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.